(** This module keep a track of the different way to start, escape and end a
    string in the lexer. 

    When a new string should be started ?
    Which sequence identify the end of the string
    How to handle the escaped characters inside this string
    …

    Depending on how the string was started (a single quote or double quote),
    we have differents caracters for every of thoses actions.


    The defaultWraper is used in any case, and other wrapper are stacked above
    when needed. *)

val defaultWraper : Lexbuf.stringWraper
(** The default string lexer. Used when we start the lexing. *)

val quotedStringWraper : Lexbuf.stringWraper
val dQuotedStringWraper : Lexbuf.stringWraper
val readLongStringWraper : Lexbuf.stringWraper

exception Out_of_context
(** This exception should not be raised in a normal situation. *)
